# MATCSRPERM

MATCSRPERM = "CSRPERM" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQCSRPERM when constructed with a single process communicator, and MATMPICSRPERM otherwise. As a result, for single process communicators, MatSeqCSRPERMSetPreallocation is supported, and similarly MatMPICSRPERMSetPreallocation is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

### Options Database Keys

-mat_type csrperm -sets the matrix type to "CSRPERM" during a call to MatSetFromOptions()

### See Also

MatCreateMPICSRPERM,MATSEQCSRPERM,MATMPICSRPERM

Level:beginner
Location: src/mat/impls/aij/mpi/csrperm/mpicsrperm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages